## ttyrec 1.0.5

=== Makefile ===
CC = gcc
CFLAGS = -O2
VERSION = 1.0.5

TARGET = ttyrec ttyplay ttytime

DIST =	ttyrec.c ttyplay.c ttyrec.h io.c io.h ttytime.c\
	README Makefile ttyrec.1 ttyplay.1

all: $(TARGET)

ttyrec: ttyrec.o io.o
	$(CC) $(CFLAGS) -o ttyrec ttyrec.o io.o

ttyplay: ttyplay.o io.o
	$(CC) $(CFLAGS) -o ttyplay ttyplay.o io.o

ttytime: ttytime.o io.o
	$(CC) $(CFLAGS) -o ttytime ttytime.o io.o

clean:
	rm -f *.o $(TARGET) ttyrecord *~

dist:
	rm -rf ttyrec-$(VERSION)
	rm -f ttyrec-$(VERSION).tar.gz

	mkdir ttyrec-$(VERSION)
	cp $(DIST) ttyrec-$(VERSION)
	tar zcf ttyrec-$(VERSION).tar.gz  ttyrec-$(VERSION)
	rm -rf ttyrec-$(VERSION)

## ttyrec 1.0.8

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 CC = gcc
 CFLAGS = -O2
-VERSION = 1.0.5
+VERSION = 1.0.8
 
 TARGET = ttyrec ttyplay ttytime
 
 DIST =	ttyrec.c ttyplay.c ttyrec.h io.c io.h ttytime.c\
-	README Makefile ttyrec.1 ttyplay.1
+	README Makefile ttyrec.1 ttyplay.1 ttytime.1
 
 all: $(TARGET)

=== debian/changelog ===
ttyrec (1.0.8-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS. (Closes: #954506)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 06 Apr 2020 19:48:56 +0100

ttyrec (1.0.8-5) unstable; urgency=low

  * debian/patches/15_ttyrec_dont_record_query.diff: New file (Closes:
    #579388).
  * debian/patches/16_ttyrec_XCASE.diff: New file.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 28 Apr 2010 13:35:25 +0900

ttyrec (1.0.8-4) unstable; urgency=low

  * debian/patches/14_ttyplay_man.diff: New file (Closes: #564942).
  * debian/patches/13_ttyplay_fread.diff: New file (Closes: #564931).
  * debian/patches/12_ttyplay_fix_select.diff: New file.
  * debian/patches/11_sigaction.diff: New file.
  * debian/patches/10_control_tty.diff: New file.
  * debian/patches/09_sigwinch.diff: New file (Closes: #564777).
    Thanks to Joey Hess.
  * debian/patches/01_Makefile.diff: Use _GNU_SOURCE for 'signal' to have BSD
    semantics (was: _XOPEN_SOURCE).  Suggested by Joey Hess.
  * debian/patches/08_sigchld.diff: New file (Closes: #558992).
    Thanks to Joey Hess.
  * debian/patches/07_ttyrec_man.diff: New file (Closes: #558986).
    Thanks to Joey Hess.
  * debian/examples: New file.
  * debian/patches/{02_minor_cleanup.diff,03_io_h.diff,
    04_64-bit.diff,05_WINSZ.diff,06_pause.diff}: 1.0.8-3-diffs into patches.
  * debian/{rules,source,README.source}: Use 3.0 (quilt) format.
  * debian/control (Build-Depends): Added quilt.
    (Depends): Added ${misc:Depends}.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 27 Apr 2010 10:02:14 +0900

ttyrec (1.0.8-3) unstable; urgency=low

  * Apply a patch by Colin Watson (Closes: #457488).
    * ttyplay.c (ttywait): Implement a case where speed == 0.0.
    * ttyplay.c (ttynowait): Return 1.0 (was: 0).
    * ttyplay.c (ttyplay): Loop until speed != 0.0.
  * debian/control (Standards-Version): Conform to 3.8.0.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 01 Jul 2008 11:29:27 +0900

ttyrec (1.0.8-2) unstable; urgency=low

  * ttyrec.c (getslave): Fix a bug reported by Adam Borowski
   (Closes: #472463).

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 28 Mar 2008 13:41:17 +0900

ttyrec (1.0.8-1) unstable; urgency=low

  * io.h (set_progname): Added the declaration.
  * io.c (efdopen): Bug fix, returns fp.
  Apply patch by Adam Borowski to fix 64-bit machine issue. (Closes: #154520)
  Let include endian.h and stdint.h.
  (SWAP_ENDIAN): Use uint32_t.
  (is_little_endian): Removed.
  (convert_to_litte_endian): Use uint32_t and BYTE_ORDER at compile time.
  (read_header, write_header): Use uint32_t.
  * Improve the description (Closes: #455604). Thanks to Josh Triplett.
  * New upstream release, found that old bug has been fixed
  in 1.0.6-2 by pty change of SVR4 (Closes: #161842).
  * debian/watch: New file.
  * debian/manpages: Includes ttytime.1.
  * debina/rules (install): Install ttytime (Closes: #303380).
  (build): Supply -D_XOPEN_SOURCE for functions (grantpt, unlockpt, ptsname).

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 30 Jan 2008 13:05:31 +0900

ttyrec (1.0.6-2) unstable; urgency=low

  * debian/control (Maintainer): New maintainer (Closes: #444704).
  * debian/rules (build): Compile with -DSVR4 (Closes: #437859).
  (clean): Don't ignore error of make clean.
  (DH_COMPAT): Removed.
  * debian/compat: New file.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 25 Jan 2008 13:39:03 +0900

ttyrec (1.0.6-1) unstable; urgency=low

  * New upstream release (closes: #173018,#222007)

 -- Takuo KITAME <kitame@debian.org>  Fri, 19 Dec 2003 14:39:56 +0900

ttyrec (1.0.5-2) unstable; urgency=low

  * Change Maintainer address to @debian.org

 -- Takuo KITAME <kitame@debian.org>  Fri,  8 Nov 2002 17:50:00 +0900

ttyrec (1.0.5-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Mon, 18 Feb 2002 16:32:04 +0900

ttyrec (1.0.4-2) unstable; urgency=low

  * dh_installmime

 -- Takuo KITAME <kitame@northeye.org>  Sat, 23 Jun 2001 01:31:37 +0900

ttyrec (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Added manpages. (closes: Bug#96357)
  * Added examples.

 -- Takuo KITAME <kitame@northeye.org>  Fri, 18 May 2001 09:49:24 +0900

ttyrec (1.0.2-1) unstable; urgency=low

  * Initial Release.

 -- Takuo KITAME <kitame@northeye.org>  Thu,  1 Mar 2001 18:49:18 +0900

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --with quilt $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f sample1.tty

override_dh_auto_build:
	uudecode debian/sample1.tty.uue
	dh_auto_build

=== debian/watch ===
version=3
http://0xcc.net/ttyrec/index.html.en ttyrec-(.*)\.tar\.gz

## ttyrec 1.1.7.1

=== debian/changelog ===
ttyrec (1.1.7.1-2) unstable; urgency=medium

  [ Nilesh Patra ]
  * d/rules: DPKG_EXPORT_BUILDTOOLS=1 to fix FTCBFS (Closes: #1110324)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 22 Aug 2025 01:27:58 +0200

ttyrec (1.1.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Maintain in Package Salvage team
    Closes: #1094191
  * Point Homepage to maintained fork
    Closes: #1082108
  * Point watch file to maintained fork
  * Do not Build-Depends: quilt
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.

  [ наб ]
  * d/control: redo Description for new upstream
  * Build-Depends: drop sharutils, deuuencode debian/sample1.tty
  * Rebase patches:
    - 01_Makefile.diff — upstream makefile works
    - 02_minor_cleanup.diff — superseded upstream
    - 03_io_h.diff — superseded upstream
    + 04_64-bit.diff — respelled with <endian.h>
    + 05_WINSZ.diff
    + 06_pause.diff
    - 07_ttyrec_man.diff — superseded upstream
    - 08_sigchld.diff — upstream's new process model makes this work
                        without the patch, and the patch breaks it
    - 09_sigwinch.diff — implemented upstream
    - 10_control_tty.diff — implemented upstream
    - 11_sigaction.diff — implemented upstream
    + 12_ttyplay_fix_select.diff
    + 13_ttyplay_fread.diff
    - 14_ttyplay_man.diff — squashed into 06_pause.diff
    - 16_ttyrec_XCASE.diff — properly detected upstream
    - 17_remove_stropts.patch — properly detected upstream
  * debian/README.source: drop (just quilt)
  * debian/dirs: drop (not needed in new upstream)
  * d/copyright: update for new upstream, DEP-5
  * d/control: Build-Depends: libzstd-dev for full-fledged upstream support
    + d/rules: force libzstd.so instead of possibly autoselecting .a
  * New patches:
    + 0007: Replace set_progname() that allocates with err(3)
    + 0008: docs/ttyrec.1: lintian useless-whatis-entry
    + 0009: ttyplay: add bind q to quit
                    (and -s <0 does the same instead of breaking weirdly)
            Closes: #564952
    + 0010: ttyplay: don't use uninitialised memory on partial header read
    + 0020: ttyplay -p: wait for input with inotify, if available
            Closes: #564826
    + 0030: Don't try to exec((char *)1) if $SHELL doesn't have a /
            Closes: #414949
  * d/docs: update for new upstream
  * d/manpages: update for new upstream
  * debian/mime: quoted-placeholder-in-mailcap-entry '%s' (Closes: #987407)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 25 Jan 2025 18:45:05 +0100

=== debian/control ===
Source: ttyrec
Section: misc
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: NIIBE Yutaka <gniibe@fsij.org>
Build-Depends: debhelper-compat (= 13), libzstd-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/ttyrec
Vcs-Git: https://salsa.debian.org/salvage-team/ttyrec.git
Homepage: https://github.com/ovh/ovh-ttyrec
Rules-Requires-Root: no

Package: ttyrec
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Terminal interaction recorder and player (for tty)
 This package includes "ttyrec", a tty recorder which records terminal
 interaction, "ttytime", that reports the duration of a recording,
 and "ttyplay", a player to see that intereaction.
 .
 ttyrec is an enhanced version of script(1): timing and output are in one file,
 on-the-fly compression, output rotation, session locking, timeouts,
 optional pipe-based operation.
 .
 It can record any console session,
 including when using screen-oriented programs such as those using curses.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
DPKG_EXPORT_BUILDTOOLS=1
include /usr/share/dpkg/buildtools.mk

export NO_STATIC_ZSTD := 1

%:
	dh $@
